eMac Troubles

Discussion in 'PowerPC Macs' started by Babooshka, Sep 2, 2008.

  1. macrumors 6502

    Babooshka

    Joined:
    May 10, 2008
    Location:
    Glasgow, Scotland
    #1
    Hello all.
    I just bought an Airport card which I bought for my eMac. But it doesn't fit!
    Here is the Airport card in question:
    [​IMG]
    Is it a question of not the right type of card?

    All help is appreciated, and please, no stupid comments([​IMG]), be nice([​IMG])
     
  2. macrumors G5

    Sun Baked

    Joined:
    May 19, 2002
    #2
    You sure it isn't a eMac from after June 03 which requires Airport Extreme card.
     
  3. macrumors 6502a

    rpaloalto

    Joined:
    Sep 19, 2005
    Location:
    Palo Alto CA.
    #3
    No thats the first gen. airport card.
    I think you need the airport extreme card for the 1.25 g4 emac
     
  4. macrumors 6502a

    rpaloalto

    Joined:
    Sep 19, 2005
    Location:
    Palo Alto CA.
  5. thread starter macrumors 6502

    Babooshka

    Joined:
    May 10, 2008
    Location:
    Glasgow, Scotland
    #5
    Thanks for the speedy reply chaps & chapesses.
    You guys are the best.
     

Share This Page